package com.rv.home.rv.module.ui.login.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

/**
 * Created :Auser
 * Date: 2019/5/20.
 * Desc:注册
 */

public class RegisteredBean extends BaseBean {

    /**
     * data : {"nickname":"XX_614105","headerurl":"https://retail.xiaochengxucms.com/images/12/2018/11/fDK7kkrmkMReK50l4r1Le740Kmra8.jpg","userid":5,"username":"13612688539"}
     * message : 操作成功
     * status : 200
     * token : eyJhbGciOiJSUzI1NiJ9.eyJzdWIiOiIxMzYxMjY4ODUzOSIsInVzZXJJZCI6IjUiLCJyZXF1ZXN0VHlwZSI6IkFQUCIsImV4cCI6MTU1ODM0Njg4Nn0.aZfsQ6ZTGkFN9p0p01ICrjAKCHNtFm5q3tA98q8aQrzXV6WylgFEioe_M4daT1TLyKTGc7vMt5-sSxTXNlaYnU7Li7ochG40rvnL8CIrvBDayVEcCRCAe0XG6J0iVR678EJqacqEROUSZOhnuw3fE44HfvI3Aek8Y4f59nnSFCI
     */

    private DataBean data;
    private String token;

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }


    public void setMessage(String message) {
        this.message = message;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public static class DataBean {
        /**
         * nickname : XX_614105
         * headerurl : https://retail.xiaochengxucms.com/images/12/2018/11/fDK7kkrmkMReK50l4r1Le740Kmra8.jpg
         * userid : 5
         * username : 13612688539
         */

        private String nickname;
        private String headerurl;
        private String userId;
        private String username;
        private String imUserId;
        private String imToken;
        //实名认证状态:0-未认证，1-已认证
        private String certificationStatus;

        private String code ;

        public String getNickname() {
            return nickname;
        }

        public void setNickname(String nickname) {
            this.nickname = nickname;
        }

        public String getHeaderurl() {
            return headerurl;
        }

        public void setHeaderurl(String headerurl) {
            this.headerurl = headerurl;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getImUserId() {
            return imUserId;
        }

        public void setImUserId(String imUserId) {
            this.imUserId = imUserId;
        }

        public String getImToken() {
            return imToken;
        }

        public void setImToken(String imToken) {
            this.imToken = imToken;
        }

        public String getCertificationStatus() {
            return certificationStatus;
        }

        public void setCertificationStatus(String certificationStatus) {
            this.certificationStatus = certificationStatus;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }
    }
}

